---
title: Property groups
slug: cms-12/api/property-groups
docTags: 
createdAt: 2026-08-07T16:45:43.000Z
---

Property groups are the available tabs in edit view where properties are displayed. The name is the identifier of the group. You can change the built-in tabs by referencing their names, such as information and settings.

## Example property group

```json
{
  "name"        : "settings",
  "displayName" : "Settings",
  "sortOrder"   : 120,
  "systemGroup" : false
}
```

:::hint{type="info"}
**Note**
`systemGroup` is a read-only property that shouldn't be included when creating or updating groups.
:::

## Create property group

Creates a property group in the system.

`POST /api/episerver/v3.0/propertygroups`

## Update or create property group

Updates or creates a property group in the system with the provided name. They are also known as upsert.

`PUT /api/episerver/v3.0/propertygroups/{name}`

## List property groups

List property groups in the system.

`GET /api/episerver/v3.0/propertygroups`

## Get property group

Gets a property group with the provided name.

`GET /api/episerver/v3.0/propertygroups/{name}`

## Remove property group

Deletes the property group with the provided name.

`DELETE /api/episerver/v3.0/propertygroups/{name}`
